Skip to main content
GET
/
api
/
zapier
/
new-transactions
Get Most Recent Transaction
curl --request GET \
  --url https://app.dimepayments.com/api/zapier/new-transactions \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 1,
    "invoice_number": "1234567890",
    "amount": "100.00",
    "transaction_date": "2020-10-15 12:00:00",
    "first_name": "John",
    "last_name": "Doe",
    "phone": "1234567890",
    "email": "email@email.com"
  }
]

Authorizations

Authorization
string
header
required

You can retrieve your token by visiting your dashboard and clicking Generate API token under your profile in top right.

Response

Successful Listing

id
integer

Transaction

Example:

1

invoice_number
string

Customer's

Example:

"1234567890"

amount
string

Transaction

Example:

"100.00"

transaction_date
string

Transaction

Example:

"2020-10-15 12:00:00"

first_name
string

Customer's first name

Example:

"John"

last_name
string

Customer's first name

Example:

"Doe"

phone
string

Customer's phone number

Example:

"1234567890"

email
string

Customer's email address

Example:

"email@email.com"

Example:
[
{
"id": 1,
"invoice_number": "1234567890",
"amount": "100.00",
"transaction_date": "2020-10-15 12:00:00",
"first_name": "John",
"last_name": "Doe",
"phone": "1234567890",
"email": "email@email.com"
}
]